package cn.com.ctop.planeprojectcost.entity;

import java.io.Serializable;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;

/**
 * 平面设计项目消耗表
 * @author jeecg-boot
 * @date   2019-12-28
 * @version V1.0
 */
@Data
@TableName("ctop_plane_project_cost")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="ctop_plane_project_cost对象", description="平面设计项目消耗表")
public class PlaneProjectCost {

	/**id*/
	@TableId(type = IdType.UUID)
    @ApiModelProperty(value = "id")
	private Integer id;
	/**ctop_project的id*/
	@Excel(name = "ctop_project的id", width = 15)
    @ApiModelProperty(value = "ctop_project的id")
	private Long projectId;
	/**sys_user的id*/
	@Excel(name = "sys_user的id", width = 15)
    @ApiModelProperty(value = "sys_user的id")
	private String userId;
	/**项目消耗*/
	@Excel(name = "项目消耗", width = 15)
    @ApiModelProperty(value = "项目消耗")
	private java.math.BigDecimal projectCost;
	/**1_快手2_抖音*/
	@Excel(name = "1_快手2_抖音", width = 15)
    @ApiModelProperty(value = "1_快手2_抖音")
	private Integer appType;
	/**项目总消耗*/
	@Excel(name = "项目总消耗", width = 15)
    @ApiModelProperty(value = "项目总消耗")
	private java.math.BigDecimal projectTotalCost;
	/**所属年*/
	@Excel(name = "所属年", width = 15)
    @ApiModelProperty(value = "所属年")
	private Integer year;
	/**所属季度*/
	@Excel(name = "所属季度", width = 15)
    @ApiModelProperty(value = "所属季度")
	private Integer quarter;
	/**createTime*/
    @ApiModelProperty(value = "createTime")
	private Date createTime;
	/**updateTime*/
    @ApiModelProperty(value = "updateTime")
	private Date updateTime;
}
